import { JsonObjectVisitor } from "./JsonObjectVisitor";
import { RecordVisitor } from "./RecordVisitor";
/**
 *
 */
export declare class RecordSetVisitor implements JsonObjectVisitor {
    private _enclosedJsonObject;
    constructor(value: string | object);
    static addOrUpdateRecord(jsonObject: object, recordState: RecordVisitor): void;
    static emptyRecordSetVisitor(): RecordSetVisitor;
    copyAsJsonObject(): object;
    copyAsJsonString(): string;
    enclosedJsonObject(): any;
    addOrUpdateAllRecords(recordSetState: RecordSetVisitor): void;
    addOrUpdateRecord(recordState: RecordVisitor): void;
    fromRecordId(recordId: string): any[];
    recordCount(): number;
    visitAndClearRecords(): void;
    visitHasMore(): boolean;
    visitAndSetHasMore(hasMore: boolean): void;
    visitRecordAtId(id: string): RecordVisitor;
    visitRecords(): IterableIterator<RecordVisitor>;
}
